/**
 * (c) by aheadware.com
 */

var app = app || {};
app.state = app.state || {};

app.state.AppointmentNotFound = function()
{
    var state = app.core.StateManager.createState( 'appointment-not-found' );

    state.onEnter = function( p )
    {
        let $content = app.core.View.getContent();

        app.gui.PageLoader.show();

        app.core.View.setContent(
            app.core.View.getTemplate( 'appointment-not-found' )
        );

        setTimeout( function()
        {
            app.gui.PageLoader.hide();
        }, 1500 );
    };

    return state;
};